---
title: XDomainRequest.ontimeout
slug: Web/API/XDomainRequest/ontimeout
tags:
  - AJAX
  - API
  - DOM
  - IE
  - Microsoft
  - Obsolete
  - Property
  - Reference
---
<div>{{APIRef("XDomain")}}{{obsolete_header}}{{non-standard_header}}</div>

<p>An event handler which is called when a pending {{domxref("XDomainRequest")}} times out.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">xdr.ontimeout = <em>funcRef;</em></pre>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt><code>funcRef</code></dt>
 <dd>A function to be called when the event times out.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var xdr = new XDomainRequest();
xdr.open("POST", "http://example.com/api/method");

xdr.ontimeout = function(){
  //Handle timeout
}

xdr.onload = function(){
  //Handle Response with xdr.responseText
}

xdr.send("param1=value1&amp;param2=value2");</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XDomainRequest.ontimeout")}}</p>
